From b76324ad42dfff6540cba9717d41afd10b31e893 Mon Sep 17 00:00:00 2001
Message-Id: <b76324ad42dfff6540cba9717d41afd10b31e893.1369841886.git.minovotn@redhat.com>
In-Reply-To: <9db4fbc10d733a88102ef99acaf6eb5d54153495.1369841886.git.minovotn@redhat.com>
References: <9db4fbc10d733a88102ef99acaf6eb5d54153495.1369841886.git.minovotn@redhat.com>
From: Marc-Andr Lureau <marcandre.lureau@redhat.com>
Date: Wed, 29 May 2013 14:34:50 +0200
Subject: [PATCH 02/14] build-sys: add guards to generated headers
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Marc-André Lureau <marcandre.lureau@redhat.com>
Message-id: <1369838102-26064-2-git-send-email-marcandre.lureau@redhat.com>
Patchwork-id: 51672
O-Subject: [RHEL-6.5 qemu-kvm PATCHv3 01/13] build-sys: add guards to generated headers
Bugzilla: 884253
RH-Acked-by: Hans de Goede <hdegoede@redhat.com>
RH-Acked-by: Gerd Hoffmann <kraxel@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>

---
 create_config |    6 ++++++
 rules.mak     |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 create_config | 6 ++++++
 rules.mak     | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/create_config b/create_config
index 27e1bd4..27d85e2 100755
--- a/create_config
+++ b/create_config
@@ -2,6 +2,10 @@
 
 echo "/* Automatically generated by create_config - do not modify */"
 
+DEFINE=$(echo "$1" | sed -e 's/[^a-zA-Z]/_/g')
+echo "#ifndef _$DEFINE"
+echo "# define _$DEFINE"
+
 while read line; do
 
 case $line in
@@ -106,3 +110,5 @@ case $line in
 esac
 
 done # read
+
+echo "#endif /* _$DEFINE */"
diff --git a/rules.mak b/rules.mak
index 9bcf9af..85fb4fd 100644
--- a/rules.mak
+++ b/rules.mak
@@ -45,7 +45,7 @@ cc-option = $(if $(shell $(CC) $1 $2 -S -o /dev/null -xc /dev/null \
 	@test -f $@ || cp $< $@
 
 %.h-timestamp: %.mak
-	$(call quiet-command, sh $(SRC_PATH)/create_config < $< > $@, "  GEN   $*.h")
+	$(call quiet-command, sh $(SRC_PATH)/create_config $*.h < $< > $@, "  GEN   $*.h")
 	@cmp $@ $*.h >/dev/null 2>&1 || cp $@ $*.h
 
 # will delete the target of a rule if commands exit with a nonzero exit status
-- 
1.7.11.7

